hscolour-1.25: Colourise Haskell code.

Safe Haskell | Safe-Inferred
Language | Haskell98

Language.Haskell.HsColour.Output

Synopsis

- data TerminalType
  - = Ansi16Colour
  - | XTerm256Compatible
- data Output
  - = TTY
  - | TTYg TerminalType
  - | LaTeX
  - | HTML
  - | CSS
  - | ACSS
  - | ICSS
  - | MIRC

# Documentation

data TerminalType Source #

Constructors

Ansi16Colour | `\033[Xm`-style escape sequences (with X =~ [34][0-7])
XTerm256Compatible | `Ansi16Colour`, and also `\033[Y8;5;Zm]`-style escape sequences (with Y =~ [3,4] and Z an integer in [0,255] with the XTerm colour cube semantics).

#### Instances

Instances details

Show TerminalType Source # |
Instance details Defined in Language.Haskell.HsColour.Output Methods showsPrec :: Int -> TerminalType -> ShowS Source # show :: TerminalType -> String Source # showList :: [TerminalType] -> ShowS Source #
Eq TerminalType Source # |
Instance details Defined in Language.Haskell.HsColour.Output Methods (==) :: TerminalType -> TerminalType -> Bool Source # (/=) :: TerminalType -> TerminalType -> Bool Source #
Ord TerminalType Source # |

Instance details

Defined in Language.Haskell.HsColour.Output

Methods

compare :: TerminalType -> TerminalType -> Ordering Source #

(<) :: TerminalType -> TerminalType -> Bool Source #

(<=) :: TerminalType -> TerminalType -> Bool Source #

(>) :: TerminalType -> TerminalType -> Bool Source #

(>=) :: TerminalType -> TerminalType -> Bool Source #

max :: TerminalType -> TerminalType -> TerminalType Source #

min :: TerminalType -> TerminalType -> TerminalType Source #

data Output Source #

The supported output formats.

Constructors

TTY | ANSI terminal codes. Equivalent to `TTYg` `Ansi16Colour` but left in for backwards compatibility.
TTYg TerminalType | Terminal codes appropriate for the `TerminalType`.
LaTeX | TeX macros
HTML | HTML with font tags
CSS | HTML with CSS.
ACSS | HTML with CSS and mouseover types.
ICSS | HTML with inline CSS.
MIRC | mIRC chat clients

#### Instances

Instances details

Show Output Source # |
Instance details Defined in Language.Haskell.HsColour.Output Methods showsPrec :: Int -> Output -> ShowS Source # show :: Output -> String Source # showList :: [Output] -> ShowS Source #
Eq Output Source # |
Instance details Defined in Language.Haskell.HsColour.Output Methods (==) :: Output -> Output -> Bool Source # (/=) :: Output -> Output -> Bool Source #